<ion-content>
  <ion-card>
    <ion-card-header>
      <ion-card-title style="color: #3880FF;">Active Reservations List</ion-card-title>
    </ion-card-header>

    <ion-card-content>
        <div style="color: black;" *ngIf="reservationsUser.length==0">
          <B>There are no active bookings at the moment</B>
        </div>
      <ion-list>
        <ion-item *ngFor='let i of reservationsUser'>
          <ion-label>
            <B>Booking ID :</B> {{i.idReservation}}<br>
            <B>City :</B> {{findOffice(i.idDesk).city}}<br>
            <B>Street :</B> {{findOffice(i.idDesk).street}} n°{{findOffice(i.idDesk).civicNumber}}<br>
            <B>Desk name :</B> {{findDesk(i.idDesk).name|titlecase}}<br>
            <B>From :</B> {{(i.dataOraIn|date:'dd/MM/yyyy ore: HH:mm')}}<br>
            <B>To :</B> {{(i.dataOraOut|date:'dd/MM/yyyy ore: HH:mm')}}<br>
            <div style="color: red;" *ngIf="i.confirm==false">
              <B>Waiting for admin confirmation</B>
            </div>
            <div style="color: green;" *ngIf="i.confirm==true">
              <B>Reservation confirmed</B>
            </div>
            
          </ion-label>

        </ion-item>

      </ion-list>
    </ion-card-content>
  </ion-card>


  <div style="text-align: center;">
    <ion-button class='add' color='success' fill="outline" routerLinkActive="active" routerLink="/scelta-sede">ADD</ion-button>
    <ion-button class='history' float='right' color='warning' fill="outline" routerLinkActive="active"routerLink="/storico">HISTORY</ion-button>
  </div>
</ion-content>

